package org.springblade.modules.rhzf.fwInfo.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.rhzf.fwInfo.entity.HcbdEntity;
import org.springblade.modules.rhzf.fwInfo.excel.HcbdExcel;
import org.springblade.modules.rhzf.fwInfo.mapper.HcbdMapper;
import org.springblade.modules.rhzf.fwInfo.service.HcbdService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class HcbdServiceImpl extends BaseServiceImpl<HcbdMapper, HcbdEntity> implements HcbdService {
	@Override
	public HcbdExcel selectRkByExcel(String sfzh, String deptId) {
		return baseMapper.selectRkByExcel(sfzh, deptId);
	}

	@Override
	public List<HcbdExcel> exportHcbd(String deptId) {
		return baseMapper.exportHcbd(deptId);
	}

	@Override
	public void deletedHcbd(Long userId) {
		baseMapper.deletedHcbd(userId);
	}

	@Override
	public IPage<HcbdEntity> selectHcbdPage(IPage<Object> page, Map<String, Object> params) {
		return baseMapper.selectHcbdPage(page, params);
	}
}
